prewikka (5.2.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert: Build-Depend on python3-six to fix FTBFS, bug was in lesscpy

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Aug 2024 23:41:50 +0200

prewikka (5.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install programs into /usr/bin instead of /bin (DEP17 M2)

  [ Hans Joachim Desserud ]
  * Build-Depend on python3-six to fix FTBFS (Closes: #1060985)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 11 Jun 2024 09:24:23 +0200

prewikka (5.2.0-2) unstable; urgency=medium

  * d.patches:
    - 005-Python_3_10_Support.patch
      - Add Python 3.10 support
  * d.control
    - Bump to Standards-Version 4.6.0

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Wed, 25 Aug 2021 20:53:39 +0200

prewikka (5.2.0-1) unstable; urgency=medium

  * Bump version 5.2.0
    - d.control:
      - Update Prelude 5.2 dependencies
      - Bump debhelper version to 13
      - Bump Standards-Version to 4.5.1
      - Add new dependencies
    - d.copyright: CS SI to CS GROUP
    - Update d.u.metadata: add missing fields
    - d.p.*.patch: Set the field Forwarded
    - d.m-s: add gridstack.all.js
    - d.control and d.rules: Switch jquery and jquery-ui to debian packages
    - d.watch: bump version to 4

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 17 Nov 2020 20:53:39 +0200

prewikka (5.1.1-2) unstable; urgency=medium

  * d/control:
    - Change from python-twisted to python3-twisted (Closes: #945693)
    - Change from python3-lark-parser to python3-lark (Closes: #945088)
      See #941657 (ITP) for the missing package

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Thu, 2 Jan 2020 10:07:24 +0200

prewikka (5.1.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump version 5.1.1
  * d/control:
    - Add missing dependencies:
      - python3-gevent
      - python3-voluptuous
      - python3-lark-parser

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 12 Nov 2019 12:07:24 +0200

prewikka (5.1.0-1) experimental; urgency=medium

  * Bump version 5.1.0
  * d/control:
    - Migrate from debhelper to debhelper-compat
    - Update Standard-Version to 4.4.1
    - Add Rules-Requires-Root to no
    - Bump DebHelper to 12
    - Bump prelude dependencies to 5.1
  * Update copyrights dates and missing sources
  * Add d/u/metadata
  * Patches:
    - Update:
      - 002-fix_share_install_dir.patch
      - 004-fix_underscore_js_name.patch (Closes: #924203)
    - Removes:
      - 005-fix_python3_crontab.patch
      - 004-fix_underscore_js_name.patch
      - 003-fix-python3.patch

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 11 Oct 2019 09:00:00 +0200

prewikka (4.1.5-3) unstable; urgency=medium

  * Fix Python 3 SyntaxError (Closes: #904347)
  * Bump Standard-Version to 4.1.5: no change needed
  * d/changelog: Fix file-contains-trailing-whitespace
  * d/rules: fix FTBFS with python3.6 and python3.7

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 31 Jul 2018 22:58:37 +0100

prewikka (4.1.5-2) unstable; urgency=medium

  * Update postinst script: correctly configure the database character
    and collate if we are using mysql/mariadb
  * Bump Standard-Version to 4.1.4: no change needed

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 16 Apr 2018 08:58:37 +0100

prewikka (4.1.5-1) unstable; urgency=medium

  * Bump version 4.1.5
    - Update dependencies: libprelude and libpreludedb 4.1 are required
    - Add new dependencies because prewikka has changed his framework
    - Update d/missing-sources
  * d/control:
    - Update description
    - Update Vcs-* fields to salsa
  * Add patches:
    - 002-fix_share_install_dir.patch: share dir is in / with prefix=/ but it
      should be in /usr
    - 003-fix-python3.patch: Various fixes for python 3 compatibility
    - 004-fix_underscore_js_name.patch: Fix underscore js filename differs
      between prewikka upstream and debian package
  * Update copyrights dates and files
  * Migrate from python2 to python3
    - Add two patch to handle this: 002 and 003
    - Update hardcoded path in d/rules
  * Update d/rules to use pybuild

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 16 Mar 2018 08:58:37 +0100

prewikka (3.1.0-1) unstable; urgency=medium

  * Addition of the upstream signing key
  * Addition of d/source/format file
  * Updating rules file: reoganize dh call
  * Update of watch file
    - Update URL since upstream website moved
    - Add GPG check
  * Remove unnecessary file: dirs
  * Rename docs to prewikka.docs
    - And add AUTHORS
  * Update README.debian
  * New upstream release (Closes: #821736, #585271, #885535, #625699)
    - Version is 3.1.0 and naturally fix bugs
    - Python string exceptions are not used in prewikka-3.1.0
    - No more errors with raw data in database
  * Control:
    - Add Thomas Andrejak as uploader
    - Change Priority from extra to optional
    - Add Vcs fields
    - Bump Standards-Version to 4.1.3
    - Bump debhelper compat level to 11
    - Remove XS-Python-Version
    - Set Homepage field
    - Add new CSS/JS/Fonts dependencies since we try to use these libs from
      debian packages
  * Move FontAwesome and UnderscoreJS from embedded packages to debian packages
  * Rewriting of copyright file to fit the machine-readable format
  * Add missing copyright information
  * Adding d/missing-sources for minified js and css files
  * Remove apache information int d/prewikka.postinst because this package do
    not require it
  * Cleanup d/prewikka.config and d/prewikka.postinst

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 26 Jan 2018 21:58:37 +0100

prewikka (1.0.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616950).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 01 Jun 2013 14:52:24 +0200

prewikka (1.0.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/prewikka/prewikka.conf":
    - debian/rules: don't install configuration file to /etc; ship it
      under /usr/share/prewikka
    - change handling of configuration file in postinst to use the
      configuration template in /usr/share/prewikka instead of the one
      installed as an example (Policy 12.3.: "Packages must not require the
      existence of any files in `/usr/share/doc/'")
    - don't install the example anymore but make it a symlink
    (Closes: #688194)

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Sep 2012 20:20:33 +0200

prewikka (1.0.0-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Install prewikka.conf file with mode 0640 to prevent disclosure
    of db credentials (CVE-2010-2058; Closes: #584469).
    NOTE to maintainer: I've seen there is a chmod 640 at the end
    of the postinst script but this is on the one hand prone to a
    race condition and on the other hand not always effective.

 -- Nico Golde <nion@debian.org>  Thu, 10 Jun 2010 15:50:02 +0200

prewikka (1.0.0-1) unstable; urgency=low

  * New upstream release 1.0.0

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Mar 2010 17:34:33 +0100

prewikka (1.0.0~rc3-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Fri, 12 Feb 2010 21:47:32 +0100

prewikka (1.0.0~rc2-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 10 Feb 2010 15:16:56 +0100

prewikka (1.0.0~rc1-2) unstable; urgency=low

  * Add python-cairo to depends
  * Ensure apache user can write to generated images directory

 -- Pierre Chifflier <pollux@debian.org>  Wed, 03 Feb 2010 23:12:07 +0100

prewikka (1.0.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards version to 3.8.4
  * Update description

 -- Pierre Chifflier <pollux@debian.org>  Wed, 03 Feb 2010 21:38:25 +0100

prewikka (0.9.17.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards version to 3.8.3 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 08 Sep 2009 11:23:20 +0200

prewikka (0.9.17-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Tue, 07 Jul 2009 21:22:24 +0200

prewikka (0.9.16-1) unstable; urgency=low

  * New upstream release
  * Bump Standards version to 3.8.2 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 30 Jun 2009 21:45:27 +0200

prewikka (0.9.15-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Sun, 14 Jun 2009 10:00:20 +0200

prewikka (0.9.14-2) unstable; urgency=low

  * Update watch file
  * Bump Standards version to 3.8.0 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 Jul 2008 16:49:06 +0200

prewikka (0.9.14-1) unstable; urgency=low

  * New upstream release
  * Bump Standards version
  * Add python-twisted-names to Recommends (for asynchronous DNS resolution)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 Apr 2008 10:07:51 +0200

prewikka (0.9.13-1) unstable; urgency=low

  * New upstream release (with nice speed improvement)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Oct 2007 21:36:30 +0200

prewikka (0.9.12.1-1) unstable; urgency=low

  * Update my email address
  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Sat, 04 Aug 2007 19:26:57 +0200

prewikka (0.9.11.4-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <chifflier@inl.fr>  Tue, 12 Jun 2007 09:51:08 +0200

prewikka (0.9.11.3-2) unstable; urgency=low

  * Make sure prewikka.conf is not world-readable

 -- Pierre Chifflier <chifflier@inl.fr>  Fri, 08 Jun 2007 15:35:25 +0200

prewikka (0.9.11.3-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <chifflier@inl.fr>  Thu, 31 May 2007 09:40:25 +0200

prewikka (0.9.11.2-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <chifflier@inl.fr>  Mon, 28 May 2007 16:16:44 +0200

prewikka (0.9.11-1) unstable; urgency=low

  * New upstream release (add internationalization support)

 -- Pierre Chifflier <chifflier@inl.fr>  Tue, 22 May 2007 09:50:33 +0200

prewikka (0.9.10-1) unstable; urgency=low

  * New upstream release
  * Patch postgresql tables creation script (do not drop inexistant tables)
  * Update my email address
  * Add watch file

 -- Pierre Chifflier <chifflier@inl.fr>  Wed, 11 Apr 2007 14:41:09 +0200

prewikka (0.9.9-1) unstable; urgency=low

  * Initial release (Closes: #410090)

 -- Pierre Chifflier <chifflier@cpe.fr>  Wed,  7 Feb 2007 16:51:26 +0100
